*R_get_split_groups.sps.
DATA LIST FREE /salary (F6) jobcat (F2).
BEGIN DATA
21450 1
45000 1
30000 2
30750 2
103750 3
72500 3
57000 3
END DATA.

SORT CASES BY jobcat.
SPLIT FILE BY jobcat.
BEGIN PROGRAM R.
varnames <- spssdata.GetSplitVariableNames()
if(length(varnames) > 0)
{
   while (!spssdata.IsLastSplit()){
      data <- spssdata.GetSplitDataFromSPSS()
      cat("\n\nSplit variable values:")
      for (name in varnames) cat("\n",name,":",
                                 as.character(data[1,name]))
      cat("\nCases in Split: ",length(data[,1]))
   }
   spssdata.CloseDataConnection()
}
END PROGRAM.