*build_logistic_model.sps.
GET FILE '/examples/data/dmdata2.sav'.
SET RNG=MT MTINDEX=2000000.
COMPUTE Partition=RV.BERNOULLI(.5).
LOGISTIC REGRESSION VARIABLES Responded
  /METHOD=ENTER Age Income Education Reside Gender Married Region
  /CONTRAST (Income)=INDICATOR
  /CONTRAST (Education)=INDICATOR
  /CONTRAST (Gender)=INDICATOR
  /CONTRAST (Married)=INDICATOR
  /CONTRAST (Region)=INDICATOR
  /CRITERIA CUT(0.05)
  /SELECT Partition EQ 1
  /OUTFILE = PARAMETER ("/temp/logistic_model.xml").
