*python_converted_syntax.sps.
BEGIN PROGRAM.
import spss
filestring = r'/examples/data/Employee data.sav'
spss.Submit("GET FILE='%s'."%(filestring))
for i in range(spss.GetVariableCount()):
   if spss.GetVariableLabel(i).lower()=='gender':
      genderVar=spss.GetVariableName(i)
      spss.Submit("""
      SORT CASES BY %s.
      SPLIT FILE
        LAYERED BY %s.
      """ %(genderVar,genderVar))
      break
spss.Submit("""
DESCRIPTIVES
  VARIABLES=salary salbegin jobtime prevexp
  /STATISTICS=MEAN STDDEV MIN MAX.
SPLIT FILE OFF.
""")
END PROGRAM.
