#ExportToExcel.py
import SpssClient,sys
SpssClient.StartClient()
OutputDoc = SpssClient.GetDesignatedOutputDoc()
OutputDoc.ClearSelection()

# Create a new workbook and export all Descriptives output to a worksheet
# named Descriptives.
OutputDoc.SetOutputOptions(SpssClient.DocExportOption.ExcelOperationOptions,
                           "CreateWorkbook")
OutputDoc.SetOutputOptions(SpssClient.DocExportOption.ExcelSheetNames,
                           "Descriptives")
OutputItems = OutputDoc.GetOutputItems()
for index in range(OutputItems.Size()):
    OutputItem = OutputItems.GetItemAt(index)
    if (OutputItem.GetType() == SpssClient.OutputItemType.HEAD and 
        OutputItem.GetDescription() == "Descriptives"):
            OutputItem.SetSelected(True)
try:
    OutputDoc.ExportDocument(SpssClient.SpssExportSubset.SpssSelected,
                             "/temp/myexport.xls",
                             SpssClient.DocExportFormat.SpssFormatXls)
except:
   print sys.exc_info()[1]
OutputDoc.ClearSelection()

# Export all Frequencies output to a new worksheet named Frequencies.
OutputDoc.SetOutputOptions(SpssClient.DocExportOption.ExcelOperationOptions,
                           "CreateWorksheet")
OutputDoc.SetOutputOptions(SpssClient.DocExportOption.ExcelSheetNames,
                           "Frequencies")
for index in range(OutputItems.Size()):
    OutputItem = OutputItems.GetItemAt(index)
    if (OutputItem.GetType() == SpssClient.OutputItemType.HEAD and 
        OutputItem.GetDescription() == "Frequencies"):
            OutputItem.SetSelected(True)
try:
    OutputDoc.ExportDocument(SpssClient.SpssExportSubset.SpssSelected,
                             "/temp/myexport.xls",
                             SpssClient.DocExportFormat.SpssFormatXls)
except:
   print sys.exc_info()[1]
OutputDoc.ClearSelection()
SpssClient.StopClient()
